GETHOSTNAME(2)

NAME
gethostname, sethostname - get/set name of current host

SYNOPSIS
gethostname(name, namelen)
char *name;
int namelen;

sethostname(name, namelen)
char *name;
int namelen;

DESCRIPTION
Gethostname returns the standard host name for the current processor, as previously set by sethostname. The parameter namelen specifies the size of the name array. The returned name is null-terminated unless insufficient space is provided.

Sethostname sets the name of the host machine to be name, which has length namelen. This call is restricted to the super-user and is normally used only when the system is bootstrapped.

RETURN VALUE
If the call succeeds a value of 0 is returned. If the call fails, then a value of -1 is returned and an error code is placed in the global location errno.

ERRORS
The following errors may be returned by these calls:

[EFAULT]
    The name or namelen parameter gave an invalid address.

[EPERM]
    The caller tried to set the hostname and was not the super-user.

SEE ALSO
gethostid(2)

BUGS
Host names are limited to MAXHOSTNAMELEN (from <sys/param.h>) characters, currently 64.